"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemCondition = void 0;
const react_1 = require("react");
const OfferItemConditionType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "itemCondition",
        itemScope: true,
        itemType: "https://schema.org/OfferItemCondition",
        ...props,
    }, children);
};
const ItemCondition = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "itemCondition",
        ...props,
    }, children);
};
exports.ItemCondition = ItemCondition;
ItemCondition.OfferItemCondition = OfferItemConditionType;
