"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MerchantReturnLink = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "merchantReturnLink",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const MerchantReturnLink = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "merchantReturnLink",
        ...props,
    }, children);
};
exports.MerchantReturnLink = MerchantReturnLink;
MerchantReturnLink.URL = URLType;
