"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestockingFee = void 0;
const react_1 = require("react");
const RestockingFee = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'restockingFee',
        ...props,
    }, children);
};
exports.RestockingFee = RestockingFee;
RestockingFee.MonetaryAmount = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "restockingFee",
        itemScope: true,
        itemType: "https://schema.org/MonetaryAmount",
        ...props
    }, children);
};
RestockingFee.Number = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "restockingFee",
        itemScope: true,
        itemType: "https://schema.org/Number",
        ...props
    }, children);
};
